Export test cases as CSV
curl --request POST \
--url https://api.galtea.ai/testCases/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"testCaseIds": [
"tc_123",
"tc_456"
],
"testIds": [
"test_123",
"test_456"
]
}
'import requests
url = "https://api.galtea.ai/testCases/export"
payload = {
"testCaseIds": ["tc_123", "tc_456"],
"testIds": ["test_123", "test_456"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({testCaseIds: ['tc_123', 'tc_456'], testIds: ['test_123', 'test_456']})
};
fetch('https://api.galtea.ai/testCases/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"downloadUrl": "<string>"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}Export test cases as CSV
Generate a CSV from the current DB state of the given test cases, upload to storage, and return a presigned download URL. See Tests.
POST
/
testCases
/
export
Export test cases as CSV
Authorizations
API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....
Body
application/json
Response
CSV exported successfully
Presigned URL to download the CSV file
⌘I